import { EditorView } from 'codemirror';
declare let editor: EditorView;
type CreateOpts = {
    jsx?: boolean;
    typescript?: boolean;
};
/**
 * 创建单例
 * @param el
 * @returns
 */
declare const createEditorInstance: (el?: HTMLDivElement, opts?: CreateOpts) => EditorView;
/**
 * 每次都创建新的实例
 * @param el
 * @returns
 */
export declare const createEditor: (el: HTMLDivElement, opts?: CreateOpts) => EditorView;
export { editor, createEditorInstance };
