import { toastLogin } from '@/registry/modules/toast/ToastLogin';
import { ToastProvider } from '@/registry/modules/toast/Provider';
import { Button } from '@/registry/button/button';
import { useTranslation } from 'react-i18next';
import '@/registry/astro/i18n'; // 初始化i18n

export const ShowLogin = () => {
  const { t } = useTranslation();
  return (
    <ToastProvider>
      <Button
        onClick={() => {
          toastLogin();
          console.log('clicked');
        }}>
        {t('welcome')} Click me
      </Button>
    </ToastProvider>
  );
};
