import { Routes, Route, Navigate } from 'react-router-dom';

import { App as TsApp } from './Ts';
import { App as JsonApp } from './Json';

export const App = () => {
  return (
    <Routes>
      <Route path='/' element={<Navigate to='/codemirror/ts' />} />
      <Route path='/ts' element={<TsApp typescript={true} />} />
      <Route path='/js' element={<TsApp />} />
      <Route path='/json' element={<JsonApp />} />
    </Routes>
  );
};
